Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api
[Java] Interface Named

    public interface Named

Types can implement this interface and use the embedded Namer implementation, to satisfy API that calls for a namer.

Nested Class Summary
`static class` | `Named.Namer` An implementation of the namer interface for objects implementing the named interface.

Method Summary
`String` | `getName()` The object's name.

Method Detail

### getName

    public String getName()

  The object's name.

  Must be constant for the life of the object.

  Returns:
    The name. Never null.

Gradle API 1.1-rc-1